Kubernetes
probe Network

# get_network_faults

List all network faults

Run it now
View details

Type | probe
Module | chaosk8s.chaosmesh.network.probes
Name | get_network_fault
Return | list

Usage

JSON

    {
      "name": "get-network-faults",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosk8s.chaosmesh.network.probes",
        "func": "get_network_faults"
      }
    }

YAML

    name: get-network-faults
    provider:
      func: get_network_faults
      module: chaosk8s.chaosmesh.network.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
ns | string | default | No | Namespace | Namespace where to get the faults from

Signature

    def get_network_faults(
            ns: str = 'default',
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Kubernetes
  probe Network

  ## `get_network_fault`

  Get a network fault
- Kubernetes
  action Network

  ## `create_network_policy`

  Add a network policty
- fault
  action Network

  ## `Run Network Fault Proxy`

  Run fault proxy to introduce network faults to streams.